<?php 
// To display features section on front page


$proficia_features_section = get_theme_mod( 'proficia_features_section_hideshow','hide');
$proficia_features_title   =  get_theme_mod('proficia_features_title');

    $proficia_features_no        = 3;
    $proficia_features_pages      = array();
    $proficia_features_icons     = array();
    
    for( $i = 1; $i <= $proficia_features_no; $i++ ) {
        $proficia_features_pages[]    =  get_theme_mod( "proficia_features_page_$i", 1 );
        $proficia_features_icons[]    = get_theme_mod( "proficia_page_features_icon_$i", '' );
       
 
    }

    $proficia_features_args  = array(
        'post_type' => 'page',
        'post__in' => array_map( 'absint', $proficia_features_pages ),
        'posts_per_page' => absint($proficia_features_no),
        'orderby' => 'post__in'
    ); 
    
    $proficia_features_query = new wp_Query( $proficia_features_args );
     
     if( $proficia_features_section == "show") :
?>
 <!-- service section  -->
        
    <section class="slider-content-bottom">
        <div class="container">
            <div class="row sider-btm-row-inner">
                <?php
                    $count = 0;
                    while($proficia_features_query->have_posts()) :
                    $proficia_features_query->the_post();
                ?>
                <div class="col-sm-4 content_body">
                    <div class="slider-btm-box btm-item_01">
                        <?php if($proficia_features_icons[$count] !=""){ ?>
                        <i class="icon fa <?php echo esc_attr($proficia_features_icons[$count]); ?>"></i>
                    <?php } ?>
                        <h3><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
                        <?php the_excerpt(); ?>
                        <a href="<?php the_permalink();?>"><?php echo esc_html__('Read More', 'proficia' ); ?></a>
                            <i class="fa fa-angle-right"></i>
                            </a>
                       
                        
                    </div>
                </div>
                <?php
                    $count = $count + 1;
                    endwhile;
                    wp_reset_postdata();
                ?>
            </div>
        </div>
    </section>  
               
             
<!-- End service Section -->
<?php
  endif;
?>




                
           