(function ($) {
	"use strict";

	var $main_window = $(window);

	
	// preloader js
	$main_window.on('scroll', function () {
		if ($(this).scrollTop() > 250) {
			$('#myBtn').fadeIn(200);
		} else {
			$('#myBtn').fadeOut(200);
		}
	});
	$("#myBtn").on("click", function () {
		$("html, body").animate({
			scrollTop: 0
		}, "slow");
		return false;
	});


	//Mean Menu
	jQuery('.main-menu').meanmenu({
		meanScreenWidth: "992"
	});
    
	//Sticky Nav

	 $main_window.on('scroll', function () {  
		var scroll = $(window).scrollTop();
		if (scroll >= 200) {
			$(".header-body").addClass("is-sticky");
		} else {
			$(".header-body").removeClass("is-sticky");
		}
	  });

	  $main_window.on('scroll', function () {  
		var scroll = $(window).scrollTop();
		if (scroll >= 200) {
			$(".mean-bar").addClass("is-sticky");
		} else {
			$(".mean-bar").removeClass("is-sticky");
		}
	  });

	//Scroll Spy		
		$('body').scrollspy({ target: '.edu-navbar' });

		 $(window).on('load', function(e){
		  $('#status').fadeOut();
		  $('#preloader').delay(350).fadeOut('slow');
		  $('body').delay(350).css({'overflow':'visible'});
		})

		 $('body').scrollspy({ target: ".edu-navbar'" })
	
	// Contact Form
	
	$('#contactform').submit(function(){
		var action = $(this).attr('action');
		$("#message").slideUp(750,function() {
		$('#message').hide();
 		$('#submit')
			.after('')
			.attr('disabled','disabled');
		$.post(action, {
			name: $('#name').val(),
			email: $('#email').val(),
			subject: $('#subject').val(),
			comments: $('#comments').val()
		},
			function(data){
				document.getElementById('message').innerHTML = data;
				$('#message').slideDown('slow');
				$('#contactform img.loader').fadeOut('slow',function(){$(this).remove()});
				$('#submit').removeAttr('disabled');
				if(data.match('success') != null) $('#contactform').slideUp('slow');
			}
		);
		});
		return false;
	});
	

   

			

 	// ************ Search On Click
        $(".search_btn").on("click", function(event) {
            $("#search").addClass("open");
        });

        $("#search .close").on("click", function(event) {            
            $("#search").removeClass("open");            
        });

	

	// Parent Say's index-02 
	$(".client-say-02").owlCarousel({
		nav :true,
		smartSpeed:800,
		loop: true,
		dots: false,
		navText: [
			'<i class="fa fa-angle-left"></i>',
			'<i class="fa fa-angle-right"></i>'
		],	
		responsiveClass:true,
		responsive: {
			0: {
				items: 1,
			},
			768: {
				items: 2,
			},
			992: {
				items:3,
			}
		}
    });


	// client slider index-04
	$(".testi-03").owlCarousel({
		nav :true,
		smartSpeed:800,
		loop: true,
		dots: false,
		navText: [
			'<i class="fa fa-long-arrow-left"></i>',
			'<i class="fa fa-long-arrow-right"></i>'
		],	
		responsiveClass:true,
		responsive: {
			0: {
				items: 1,
			},
			768: {
				items: 2,
			},
			992: {
				items:3,
			}
		}
	});
	
	

	// Blog-carousel index-03 
	$("#bolg-carousel-03").owlCarousel({
		items :3,
		slideSpeed: 500,
		nav :true,		
		loop: true,
		margin:30,
		navText :["<i class='fa fa-angle-left'></i>", "<i class='fa fa-angle-right'></i>"],
        dots: false,
		responsive: {
			autoplay:true,
			0: {
				items: 1,
			},
			600: {
				items:2,
			},
			992: {
				items: 3,
			}
		}
    });

	// Partners carousel index-03 
	$("#partners-carousel-03").owlCarousel({
		nav :false,		
		loop: true,
		navText :["<i class='fa fa-angle-left'></i>",
		          "<i class='fa fa-angle-right'></i>"],
		dots: false,
		autoplay:true,
		responsive: {
			0: {
				items: 1,
			},
			600: {
				items:3,
			},
			992: {
				items: 5,
			}
		}
	});

	// Bolg carousel index-04 	
	$("#bolg-carousel-01").owlCarousel({
		items :1,
		lazyLoad : true,
		navigationText :["<i class='fa fa-angle-left'></i>", "<i class='fa fa-angle-right'></i>"],
		slideSpeed: 500,
		paginationSpeed: 1000,
		rewindSpeed: 1000,	
		navigation :true,
		pagination: false,
		responsive:false
    });

	
   /*====================================
		main slider js
	======================================*/

        var mainslider = $(".main-slider");
        mainslider.owlCarousel({
          autoplay:true,
		  dots:true,
          smartSpeed:800,
		  loop: true,
          navText: [
            '<i class="fa fa-angle-left"></i>',
            '<i class="fa fa-angle-right"></i>'
		  ],
		  responsiveClass:true,
		  responsive:{
				992: {
					items: 1,
					nav:true
				},
				768:{
					dots:true,
					nav:false,
					items: 1
				},
				0: {
					items: 1,
					nav:false,
					dots:false
				}
		    }
        });    

	   var welslider = $(".welcome-slider");
	   welslider.owlCarousel({
		   autoplay:true,
		   loop:true,
		   items:1,
		   nav:false,
		   dots:true,
	   })

    /*====================================
      project slider
	======================================*/   
	var projectSlider= $(".project-slider");
	projectSlider.owlCarousel({
		items:1,
		dots:false,
		nav:true,
		navText: [
		  '<i class="fa fa-angle-left"></i>',
		  '<i class="fa fa-angle-right"></i>'
		],
		loop:true,
		autoplay:true,
	})
	
    
    /*====================================
      mouse button scroll
	======================================*/ 
 $(".mouse-container").on('click', function(event) {

    if (this.hash !== "") {
      event.preventDefault();

      var hash = this.hash;

	  $('html, body').animate({
        scrollTop: $(hash).offset().top
      }, 800, function(){
   
        window.location.hash = hash;
      });
    } 
  });
})(jQuery);