<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package proficia
*/
 get_header(); 

?>
 
         
<!-- Page banner starts-->
    <section class="banner" <?php if ( get_header_image() ){ ?> style="background-image:url('<?php header_image(); ?>')"  <?php } ?>>
        <?php proficia_breadcrumbs(); ?>
    </section>
   
    <!-- Page banner ends -->
    <!--blog starts-->
    <div class="blog bg-w sp-70-100">
        <div class="container">
            <div class="row">
                <div class="col-md-9 col-sm-12 bolg_side-left">
                     <?php if(have_posts()) : ?>
                        <?php while(have_posts()) : the_post(); ?>
                            <div class="col-sm-12 single-item-box">
                            <div class="single-box Welcome-area-text">
                                <?php if(has_post_thumbnail()) : ?>
                                    <div class="news-img-box">
                                    <a href="<?php the_permalink(); ?>" class="post-img-link">
                                        <?php the_post_thumbnail(); ?>
                                    </a>
                                    </div>
                                <?php endif; ?>
                                 
                                    <?php the_content(); ?>                 
                                 

                                <?php
                                    wp_link_pages( array(
                                       'before' => '<div class="page-links">' . esc_html__( 'Pages: ', 'proficia' ),
                                       'after'  => '</div>',
                                    ) );
                                ?>  
                            </div>
                        </div>
                        <?php endwhile; ?>
                         <!-- comments -->
                        <div class="comment-box">
                            <?php 
                                if ( comments_open() || get_comments_number() ) :
                                    comments_template();
                                endif; 
                            ?> 
                        </div>
                        <!-- End comments -->                 
                    <?php else :  
                        get_template_part( 'info-parts/content', 'none' );
                     endif; ?>
                </div>

                <div class="col-md-3 col-sm-12 left-sidebar">
                     <?php get_sidebar(); ?>  

                </div>
            </div>
        </div>
    </div>
    <!-- blog banner ends -->


<?php get_footer(); ?>