<?php
/**
 * The template for displaying all single posts.
 *
 * @package proficia
 */
 get_header(); 
 
 ?>

    <!-- Page banner starts-->
    <section class="banner" <?php if ( get_header_image() ){ ?> style="background-image:url('<?php header_image(); ?>')"  <?php } ?>>
        <?php proficia_breadcrumbs(); ?>
    </section>
    <!-- Page banner ends -->

    <!-- Main Content Start -->

	<section class="sp-70-100 bg-w">
        <div class="container">
            <div class="row">
                <div class="col-md-9">
                   <?php if(have_posts()) : ?>
                        <?php while(have_posts()) : the_post(); ?>
                            <?php  get_template_part( 'info-parts/content', 'single' ); ?>
                        <?php endwhile; ?>
                    <?php else :  
                        get_template_part( 'info-parts/content', 'none' );
                    endif; ?> 
                </div>
                
                <div class="col-md-3 col-sm-12 left-sidebar">
                    <?php get_sidebar(); ?>
                </div>
            </div>
        </div>
    </section>
        <!-- Main Content Start -->

        <?php get_footer(); ?>
